/*
 * Author: Camille Laibe
 * Copyright: EMBL-EBI, Computational Neurobiology Group
 * Project: MIRIAM Resources
 */

package uk.ac.ebi.miriam.test;


import uk.ac.ebi.miriam.lib.*;


/**
 * Sample program in order to show the use of MiriamLib for accessing Web Services
 * 
 * @author Camille Laibe <camille.laibe@ebi.ac.uk>
 * @version 20110616
 * 
 */
public class WebServicesTesting
{

	/**
	 * Sample testing program
	 * @param args Not used
	 */
	public static void main(String[] args)
	{
		System.out.println("> Miriam Web Services Library Testing...");
		
		MiriamLink link = new MiriamLink();
		
		// sets the Web Services address
		//link.setAddress("http://www.ebi.ac.uk/miriamws/main/MiriamWebServices");
		link.setAddress("http://tomcat-12:9680/miriamws/demo/MiriamWebServices");
		
		System.out.println("Test 0:");
        String uri = link.getURI("miriam", "MIR:00000005");
        System.out.println("MIRIAM URI (miriam, MIR:00000005): " + uri);
		
		System.out.println("Test 0:");
		System.out.print("Is 'http://www.ebi.ac.uk/IntEnz/' deprecated? ");
		System.out.println(link.isDeprecated("http://www.ebi.ac.uk/IntEnz/"));
		System.out.println("Official URI: " + link.getOfficialURI("http://www.ebi.ac.uk/IntEnz/"));
		
		System.out.println("Test 1:");
		System.out.print("Is 'http://www.who.int/classifications/icd/' deprecated? ");
		System.out.println(link.isDeprecated("http://www.who.int/classifications/icd/"));
		System.out.println("Official URI: " + link.getOfficialURI("http://www.who.int/classifications/icd/"));
		
		System.out.println("> End of the test.");
	}

}
